Package com.io7m.idstore.server.internal.freemarker

# Class IdFMTemplateService

java.lang.Object
com.io7m.idstore.server.internal.freemarker.IdFMTemplateService

All Implemented Interfaces:
  `IdServiceType`

public final class IdFMTemplateService extends Object implements IdServiceType
A service supplying freemarker templates.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static IdFMTemplateService`
  `create()`
  `IdFMTemplateType<IdFMCSSData>`
  `cssTemplate()`
  `String`
  `description()`
  `IdFMTemplateType<IdFMEmailPasswordResetData>`
  `emailPasswordResetTemplate()`
  `IdFMTemplateType<IdFMEmailVerificationData>`
  `emailVerificationTemplate()`
  `IdFMTemplateType<IdFMEmailAddData>`
  `pageEmailAddTemplate()`
  `IdFMTemplateType<IdFMLoginData>`
  `pageLoginTemplate()`
  `IdFMTemplateType<IdFMMessageData>`
  `pageMessage()`
  `IdFMTemplateType<IdFMPasswordResetConfirmData>`
  `pagePasswordResetConfirmTemplate()`
  `IdFMTemplateType<IdFMPasswordResetData>`
  `pagePasswordResetTemplate()`
  `IdFMTemplateType<IdFMPasswordUpdateData>`
  `pagePasswordUpdateTemplate()`
  `IdFMTemplateType<IdFMRealNameUpdateData>`
  `pageRealnameUpdateTemplate()`
  `IdFMTemplateType<IdFMUserSelfData>`
  `pageUserSelfTemplate()`
  `String`
  `toString()`

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Method Details

  - ### create

    public static IdFMTemplateService create()
    Returns:
      A service supplying freemarker templates.

  - ### pageLoginTemplate

    public IdFMTemplateType<IdFMLoginData> pageLoginTemplate()
    Returns:
      The login form template

  - ### pageUserSelfTemplate

    public IdFMTemplateType<IdFMUserSelfData> pageUserSelfTemplate()
    Returns:
      The user profile "self" template

  - ### emailVerificationTemplate

    public IdFMTemplateType<IdFMEmailVerificationData> emailVerificationTemplate()
    Returns:
      The email verification template

  - ### emailPasswordResetTemplate

    public IdFMTemplateType<IdFMEmailPasswordResetData> emailPasswordResetTemplate()
    Returns:
      The email password reset template

  - ### description

    public String description()
    Specified by:
      `description` in interface `IdServiceType`
    Returns:
      The service description

  - ### toString

    public String toString()
    Overrides:
      `toString` in class `Object`

  - ### pageEmailAddTemplate

    public IdFMTemplateType<IdFMEmailAddData> pageEmailAddTemplate()
    Returns:
      The email addition page template

  - ### pageMessage

    public IdFMTemplateType<IdFMMessageData> pageMessage()
    Returns:
      The generic message page template

  - ### cssTemplate

    public IdFMTemplateType<IdFMCSSData> cssTemplate()
    Returns:
      The main CSS template

  - ### pageRealnameUpdateTemplate

    public IdFMTemplateType<IdFMRealNameUpdateData> pageRealnameUpdateTemplate()
    Returns:
      The realname update page template

  - ### pagePasswordUpdateTemplate

    public IdFMTemplateType<IdFMPasswordUpdateData> pagePasswordUpdateTemplate()
    Returns:
      The password update page template

  - ### pagePasswordResetTemplate

    public IdFMTemplateType<IdFMPasswordResetData> pagePasswordResetTemplate()
    Returns:
      The password reset page template

  - ### pagePasswordResetConfirmTemplate

    public IdFMTemplateType<IdFMPasswordResetConfirmData> pagePasswordResetConfirmTemplate()
    Returns:
      The password reset form page template